%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           genesis
Version:        0.4.3
Release:        2%{?dist}
Summary:        Graphical frontend to SyncEvolution
Summary(de):    Grafisches Frontend für SyncEvolution
Summary(it):    Frontend grafico per SyncEvolution

Group:          Applications/Productivity
# The icon used by Genesis Sync is taken from the Tango Project
# It is authored by Jakub Steiner and released under the CC-BY-SA Licence
License:        GPLv3 and CC-BY-SA
URL:            https://launchpad.net/genesis-sync/
Source0:        http://launchpad.net/genesis-sync/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Preferences dialog does not set preferences
# https://bugs.launchpad.net/genesis-sync/+bug/576559
Patch0:         %{name}-0.4.3-preferences.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme
Requires:       python
Requires:       pygtk2
Requires:       notify-python
Requires:       dbus-python
Requires:       pyxdg
Requires:       gnome-python2-evolution
Requires:       python-configobj
Requires:       syncevolution


%description
Genesis is a graphical frontend for SyncEvolution written in PyGTK. It makes 
SyncEvolution accessible without having to use a command line and provides 
graphical feedback of transaction results.


%description -l de
Genesis ist ein grafisches Frontend für SyncEvolution welches in PyGTK
geschrieben ist.
Es macht einen Zugriff auf SyncEvolution möglich, ohne die Kommandozeile nutzen
zu müssen und gibt grafisch Rückmeldung über Transaktionen.


%description -l it
Genesis è un frontend grafico per SyncEvolution scritto in PyGTK. Rende
accessibile SyncEvolution senza dover usare la riga di comando e fornisce
un'indicazione grafica dei risultati delle transazioni.


%prep
%setup -q

# fix preferences
%if 0%{?fedora} >= 13
%patch0 -p1
%endif

# remove shebang
sed -i -e '/^#!\//, 1d' Genesis/*.py


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root $RPM_BUILD_ROOT

desktop-file-install \
  --remove-category Application \
  --remove-category Utility \
  --add-category Network \
  --add-category GTK \
  --remove-key Encoding \
  --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{python_sitelib}/%{name}*.egg-info
%{python_sitelib}/Genesis/
%exclude %{_datadir}/icons/Humanity-Dark/status/*/*
%exclude %{_datadir}/icons/Humanity/status/*/*
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%doc README


%changelog
* Sun Jun 06 2010 Andrea Musuruane <musuruan@gmail.com> 0.4.3-2
- Fixed bug #588630

* Tue May 04 2010 Andrea Musuruane <musuruan@gmail.com> 0.4.3-1
- Updated to upstrem 0.4.3

* Sun Dec 05 2009 Andrea Musuruane <musuruan@gmail.com> 0.4.2.1-3
- Added German summary and description

* Sat Dec 05 2009 Andrea Musuruane <musuruan@gmail.com> 0.4.2.1-2
- More consistent macro usage
- Added Italian summary and description

* Sat Dec 05 2009 Andrea Musuruane <musuruan@gmail.com> 0.4.2.1-1
- First release

